Last Comment Bug 543336 - Remove repetitions (the, of) from Help
: Remove repetitions (the, of) from Help
Status: RESOLVED FIXED
: fixed-seamonkey2.0.4
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: seamonkey2.1a1
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-31 09:37 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2010-02-09 15:27 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (5.65 KB, patch)
2010-01-31 09:37 PST, Jens Hatlak (:InvisibleSmiley)
iann_bugzilla: review+
Details | Diff | Splinter Review
patch v1a [Checkin: comments 5 + 7] (6.67 KB, patch)
2010-02-01 14:28 PST, Jens Hatlak (:InvisibleSmiley)
jh: review+
kairo: approval‑seamonkey2.0.4+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2010-01-31 09:37:33 PST
Created attachment 424496 [details] [diff] [review]
patch

I found that some words like "the" or "of" are falsely repeated in Help. This should be corrected.

I included two occurrences of "take affect" -> "take effect" that I originally wanted to fix in bug 459578. We may as well do it here, no?
Comment 1 Ian Neal 2010-01-31 16:17:16 PST
Comment on attachment 424496 [details] [diff] [review]
patch

Have you checked where the repetitions maybe at the end of one line and the start of another?
Could you also raise separate bugs for the same issue in suite/ and mailnews/ code (and other code areas if you are feeling generous). e.g. http://mxr.mozilla.org/comm-central/source/suite/locales/en-US/chrome/mailnews/localMsgs.properties#227 http://mxr.mozilla.org/comm-central/source/suite/themes/classic/communicator/tasksOverlay.css#39 and http://mxr.mozilla.org/comm-central/source/mailnews/compose/src/nsMsgSendPart.cpp#775
Comment 2 Jens Hatlak (:InvisibleSmiley) 2010-02-01 14:28:07 PST
Created attachment 424665 [details] [diff] [review]
patch v1a [Checkin: comments 5 + 7]

(In reply to comment #1)
> (From update of attachment 424496 [details] [diff] [review])
> Have you checked where the repetitions maybe at the end of one line and the
> start of another?

No but it came to my mind in the meantime. Found another one. :-) Since it's an obvious one I'll just carry over your r+.

This is what I used (certainly not perfect):
for f in *.*; do tr '\r\n' '  ' < $f | grep -iE "the[\t ]*[\t ]the[\t ]*[\t ]";
echo $f; done

> Could you also raise separate bugs for the same issue in suite/ and mailnews/
> code (and other code areas if you are feeling generous). e.g.
> http://mxr.mozilla.org/comm-central/source/suite/locales/en-US/chrome/mailnews/localMsgs.properties#227

Filed Bug 543571 for that and two similar occurrences.

> http://mxr.mozilla.org/comm-central/source/suite/themes/classic/communicator/tasksOverlay.css#39
> http://mxr.mozilla.org/comm-central/source/mailnews/compose/src/nsMsgSendPart.cpp#775

Correcting inline comments is overkill, don't you think? ;-)
Comment 3 Ian Neal 2010-02-01 15:50:59 PST
(In reply to comment #2)
> 
> This is what I used (certainly not perfect):
> for f in *.*; do tr '\r\n' '  ' < $f | grep -iE "the[\t ]*[\t ]the[\t ]*[\t ]";
> echo $f; done
Have you done similar for of of and take affect/effect?

> > http://mxr.mozilla.org/comm-central/source/suite/themes/classic/communicator/tasksOverlay.css#39
> > http://mxr.mozilla.org/comm-central/source/mailnews/compose/src/nsMsgSendPart.cpp#775
> 
> Correcting inline comments is overkill, don't you think? ;-)
Probably.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2010-02-02 13:05:32 PST
(In reply to comment #3)
> (In reply to comment #2)
> > 
> > This is what I used (certainly not perfect):
> > for f in *.*; do tr '\r\n' '  ' < $f | grep -iE "the[\t ]*[\t ]the[\t ]*[\t ]";
> > echo $f; done
> Have you done similar for of of and take affect/effect?

Yes, no matches found. Note that the command only finds possible cases so even if a match had been found it would have required further checking.
Comment 5 Jens Hatlak (:InvisibleSmiley) 2010-02-02 14:14:35 PST
Comment on attachment 424665 [details] [diff] [review]
patch v1a [Checkin: comments 5 + 7]

http://hg.mozilla.org/comm-central/rev/1be1bb004b5d
Comment 6 Jens Hatlak (:InvisibleSmiley) 2010-02-09 07:14:42 PST
Comment on attachment 424665 [details] [diff] [review]
patch v1a [Checkin: comments 5 + 7]

Requesting branch approval.

[KaiRo]	InvisibleSmiley: help changes are allowed, as long as the list of the help files stays the same

Even if these are not critical fixes they may ease back-porting patches to the branch.
Comment 7 Jens Hatlak (:InvisibleSmiley) 2010-02-09 15:27:27 PST
Comment on attachment 424665 [details] [diff] [review]
patch v1a [Checkin: comments 5 + 7]

http://hg.mozilla.org/releases/comm-1.9.1/rev/78649423e5b7

Note You need to log in before you can comment on or make changes to this bug.